Subject: bug#10935: 23.3; devanagari-itrans method incomplete

From: Rustom Mody <[email-masked]>
Date: Thu, 19 Nov 2020 09:33:27 +0530

\' and \_ seem to be working correctly for udatta and anudatta
emacs 28.0.50 and 25.1.1
Though I dont perhaps have the fonts that I had when reporting the problem

On Wed, Nov 18, 2020 at 8:43 PM Stefan Kangas <[email-masked]> wrote:
>
> Hi Rustom,
>
> Kenichi Handa <[email-masked]> writes:
>
> > In article <CAJ+TeodbVmiqR=uW2WKrkDaebGoObPm5VH=[email-masked]>, Rustom Mody <[email-masked]> writes:
> >
> >> All these additions are good and useful to me
> >
> > As those additions looks like useful for all
> > devanagari-itrans users, and they are surely harmless, I've
> > just installed them.
> >
> >> There is one related issue (probably in a different area of emacs).
> >> When I enter the udatta or anudatta, an empty space gets created between
> >> the letter and current point.  Just enter \' of \_ alone and you will see
> >> what I mean.
> >
> > I think those spaces are part of the glyphs.  Please move
> > cursor on it and type C-u C-x =.  What is reported in
> > *Help* buffer?
>
> (That was 8 years ago.)
>
> I tried the devangari-itrans method on the current master branch, and
> when I enter \' and then \_ I get two characters with no unexpected
> whitespace between them.  Although, I don't have the correct font, so I
> just see two thin squares.
>
> Are you still seeing this issue on a recent version of Emacs, such as
> the recently released version 27.1?
>
> Thanks in advance.

-- 
http://www.the-magus.in
http://blog.languager.org